Index: sansview/perspectives/fitting/fitpanel.py
===================================================================
--- sansview/perspectives/fitting/fitpanel.py	(revision bb18ef1c74ed79eb0630f198735ad2b14e7913ab)
+++ sansview/perspectives/fitting/fitpanel.py	(revision c77d8592395f6684cf45ee976c1cac9db9c00110)
@@ -40,6 +40,5 @@
         #dictionary of miodel {model class name, model class}
         self.model_list_box={}
-        ## list of structure factor
-        self.struct_list_box=[]
+       
         # save the title of the last page tab added
         self.fit_page_name=[]
@@ -103,6 +102,21 @@
             @param owner: the class responsible of plotting
         """
-        self.event_owner=owner
-        
+        self.event_owner = owner
+    
+    def set_model_list(self,dict):
+         """ 
+             copy a dictionary of model into its own dictionary
+             @param dict: dictionnary made of model name as key and model class
+             as value
+         """
+         self.model_list_box = dict
+        
+  
+    def get_current_page(self):
+        """
+            @return the current page selected
+        """
+        return self.GetPage(self.GetSelection() )
+    
     def add_sim_page(self):
         """
@@ -125,8 +139,12 @@
         except:
             name = 'Fit'
+        from pageInfo import  PageInfo
+        myinfo = PageInfo( self, data=data )
+        myinfo.model_list_box = self.model_list_box.get_list()
+        myinfo.event_owner =self.event_owner 
         
         if not name in self.fit_page_name :
-            from fitpage1D import FitPage1D
-            panel = FitPage1D(self,data, -1)
+            from fitpage import FitPage
+            panel = FitPage(parent= self, page_info=myinfo, name=name )
             panel.name=name
             
@@ -135,5 +153,5 @@
             
             self.AddPage(page=panel,caption=name,select=True)
-            panel.populate_box( self.model_list_box)
+            #panel.populate_box( self.model_list_box)
             self.fit_page_name.append(name)
     
@@ -150,11 +168,18 @@
             @param npts: number of Q points
         """
+        ## storing page info
+        from pageInfo import  PageInfo
+        myinfo = PageInfo( self, model )
+        myinfo.model_list_box = self.model_list_box.get_list()
+        myinfo.event_owner =self.event_owner
+        
         from modelpage import ModelPage
-        #print "fitpanel model", model
-        panel = ModelPage(self,model,page_title, -1)
+        panel = ModelPage(self,myinfo,page_title)
         panel.set_manager(self.manager)
         panel.set_owner(self.event_owner)
+        
+        
         self.AddPage(page=panel,caption="Model",select=True)
-        panel.populate_box( self.model_list_box)
+        #panel.populate_box( self.model_list_box)
         panel.name = page_title
         self.draw_model_name=page_title
@@ -168,41 +193,6 @@
         # We just created a model page, we are ready to plot the model
         #self.manager.draw_model(model, model.name)
-        #FOR PLUGIN  for somereason model.name is = BASEcomponent
-        self.manager.draw_model(model, page_title)
-        
-    def new_help_add_model_page(self,model,description,page_title, qmin=0, qmax=0.1, npts=50):
-        """
-            #TODO: fill in description
-            
-            @param qmin: mimimum Q
-            @param qmax: maximum Q
-            @param npts: number of Q points
-        """
-        ## storing page info
-        from pageInfo import  PageInfo
-        myinfo = PageInfo( self, model )
-        myinfo.model_list_box = self.model_list_box
-        from modelpage import ModelPage
-        
-        panel = ModelPage(self,myinfo,page_title)
-        panel.set_manager(self.manager)
-        panel.set_owner(self.event_owner)
-        
-        
-        self.AddPage(page=panel,caption="Model",select=True)
-        panel.populate_box( self.model_list_box)
-        panel.name = page_title
-        self.draw_model_name=page_title
-        self.model_page_number=self.GetSelection()
-        self.model_page=self.GetPage(self.GetSelection())
-        
-        
-        # Set the range used to plot models
-        self.model_page.set_range(qmin, qmax, npts)
-        
-        # We just created a model page, we are ready to plot the model
-        #self.manager.draw_model(model, model.name)
         #FOR PLUGIN  for some reason model.name is = BASEcomponent
-        self.manager.draw_model(model, page_title)
+        self.manager.draw_model(model)
      
         
@@ -226,19 +216,6 @@
                 self.model_page.select_model(model, page_title)
           
-    def get_current_page(self):
-        """
-            @return the current page selected
-        """
-        #return self.nb.GetCurrentPage()
-        return self.GetPage(self.GetSelection() )
+   
   
-    
-     
-    def set_model_list(self,dict):
-         """ 
-             copy a dictionary of model into its own dictionary
-             @param dict: dictionnary made of model name as key and model class
-             as value
-         """
-         self.model_list_box = dict
-  
+   
+ 
